/**
 * @fileoverview File Utilities
 */
/**
 * Convert a pair of vertices and normals to a binary STL
 * @param normals The STL normals
 * @param vertices The STL vertices (Should be 3x the length of the normals)
 */
export declare const meshToSTL: (normals: number[], vertices: number[]) => ArrayBuffer;
/**
 * Convert a 3D file to an STL
 * @param file The file
 * @param extension The file extension
 * @param progress The progress event handler
 */
export declare const convert: (file: ArrayBuffer, extension: string, progress: (progress: number) => void) => Promise<Uint8Array | Error>;
